Skip to content

Save new content as the email's next version

PUT
/api/v1/workspaces/{workspace}/automation-emails/{id}
curl --request PUT \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automation-emails/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "html": "example", "preheader": "example", "subject": "example", "text": "example" }'

Permission: automations:edit

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

id
required
string
<= 40 characters
Media typeapplication/json
object
html
required
string
>= 1 characters
preheader
required
string
<= 250 characters
subject
required
string
>= 1 characters <= 250 characters
text
string

Example generated

{
"html": "example",
"preheader": "example",
"subject": "example",
"text": "example"
}

OK

Media typeapplication/json
object
html
required
string
id
required
string
latestVersion
required
integer format: int64
name
required
string
preheader
required
string
subject
required
string
text
required
string
version
required
integer format: int64

Example generated

{
"html": "example",
"id": "example",
"latestVersion": 1,
"name": "example",
"preheader": "example",
"subject": "example",
"text": "example",
"version": 1
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}